name: labelNumberInput
type: object[]
meta:
    label:
        de: Nummer block
        en: Number block
    dependsOn:
        eval: $parent?.inputWidgets?.includes('labelNumber')
    helperText:
        de: Links beschreibender Text, rechts zahleneingabe
        en: Left descriptive text, right number input

subFields:
    - name: group
      type: number
      meta:
          label:
            de: Gruppe
            en: Group
          helpterText:
              de: Pflichtfeld seperierung. Aus einem Nummernblock muss mindestens eine Gruppe input haben.
              en: Mandatory field separation. A number block must have at least one group input.

    - name: title
      type: string
      meta:
          label: Titel
          helperText:
              de: Block Titel
              en: Block title
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: emailName
      type: string
      meta:
          label: 
            de: Email Name
            en: Email name
          containerProps:
              layout:
                  size:
                      default: "col-6"
                      small: "col-12"
                      large: "col-6"

    - name: block
      type: object[]
      meta:
          label: Block
          widget: containerLessObjectArray
      subFields:
          - name: label
            type: string
            meta:
                label: Label
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"

          - name: emailName
            type: string
            meta:
                label:
                    de: Email Name
                    en: Email name
                containerProps:
                    layout:
                        size:
                            default: "col-6"
                            small: "col-12"
                            large: "col-6"
